Rollenzuordnung abrufen
GET /v1/connections/{connection_id}/role-mappings/{mapping_id} · Berechtigung connections:read
Gibt die Zuordnung zurück. Ist approved_at null, ist die Zuordnung nicht genehmigt: Ist ihre Rolle privilegiert, gewährt die Anmeldung die Rolle nicht.
Anfrage
| Feld | Typ | Pflicht | Beschreibung |
|---|---|---|---|
connection_id |
path | ja | Enterprise-Verbindungs-ID (conn_…). |
mapping_id |
path | ja | Rollenzuordnungs-ID (rmp_…). |
Kein Anfragekörper.
Antwort
200 OK mit der Zuordnung.
{
"id": "rmp_01j9xw0x4y5z9a1b3c5d7e9f1h",
"connection_id": "conn_01j9xp6q0r1s5t7v9w1x3y5z7b",
"organization_id": "org_01j9xk3m7q8r2s4t6v8w0y2z4a",
"external_group_key": "cn=engineering,ou=groups,dc=example,dc=com",
"role_id": "rol_01j9xr7s1t2w6x8y0z2a4b6c8e",
"role_privileged": false,
"approved_at": null,
"created_at": "2026-10-12T09:31:00.123456Z"
}
Fehler
| HTTP | code | Wann |
|---|---|---|
| 404 | not_found |
Die Zuordnung existiert auf dieser Verbindung nicht. |
| 401 | unauthenticated |
Die Anmeldeinformation fehlt, ist ungültig oder widerrufen. |
| 403 | insufficient_permissions |
Die Anmeldeinformation hat nicht die erforderliche Berechtigung. |
| 429 | rate_limited |
Das Ratenlimit wurde überschritten; nach der Dauer von Retry-After erneut versuchen. |
| 503 | service_unavailable |
Eine Abhängigkeit ist vorübergehend nicht verfügbar; nach der Dauer von Retry-After erneut versuchen. |
Beispiel
curl -i "https://api.eu.keenauth.com/v1/connections/conn_01j9xp6q0r1s5t7v9w1x3y5z7b/role-mappings/rmp_01j9xw0x4y5z9a1b3c5d7e9f1h" \
-H "Authorization: Bearer $KEENAUTH_SECRET_KEY"